
From: Roland Dreier <roland@topspin.com>

Free page_list buffer on error path of mthca_reg_phys_mr().

Signed-off-by: Roland Dreier <roland@topspin.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/infiniband/hw/mthca/mthca_provider.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN drivers/infiniband/hw/mthca/mthca_provider.c~ib-mthca-fix-memory-leak-on-error-path drivers/infiniband/hw/mthca/mthca_provider.c
--- 25/drivers/infiniband/hw/mthca/mthca_provider.c~ib-mthca-fix-memory-leak-on-error-path	2005-06-24 23:06:16.000000000 -0700
+++ 25-akpm/drivers/infiniband/hw/mthca/mthca_provider.c	2005-06-24 23:06:16.000000000 -0700
@@ -559,6 +559,7 @@ static struct ib_mr *mthca_reg_phys_mr(s
 				  convert_access(acc), mr);
 
 	if (err) {
+		kfree(page_list);
 		kfree(mr);
 		return ERR_PTR(err);
 	}
_
